DNS Zones
Update Dns Record
put
/dns/zones/{zone_uuid}/records/{record_uuid}Update a DNS record.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
zone_uuid*string
record_uuid*string
Request body
Update a DNS record
application/jsonRequired
name?string | null
Record name (@ for apex, or subdomain). Rename to move the record off its current name.
Range
length ≤ 255content?string | null
ttl?integer | null
Range
60 ≤ value ≤ 86400priority?integer | null
Range
0 ≤ value ≤ 65535weight?integer | null
Range
0 ≤ value ≤ 65535port?integer | null
Range
1 ≤ value ≤ 65535comment?string | null
Range
length ≤ 255region?string | null
GeoDNS region; 'global'/empty = served everywhere
Responses
Successful Response
application/json
uuid*string
name*string
record_type*DNSRecordType
Value in
"A""AAAA""CNAME""MX""TXT""SRV""CAA""NS""SOA""PTR""ALIAS""SSHFP""TLSA"content*string
ttl*integer
priority?integer | null
weight?integer | null
port?integer | null
comment?string | null
region?string | null
created_at*string
Format
date-timeupdated_at*string
Format
date-time